IPP Software Navigation Tools IPP Links Communication Pan-STARRS Links

Ignore:
Timestamp:
Feb 2, 2005, 2:54:13 PM (21 years ago)
Author:
desonia
Message:

Added SWIG and autoconf.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/psLib/src/dataManip/Makefile

    r2432 r3115  
    1 ifndef prefix
    2     export prefix=$(shell cd ../..;pwd)
    3 endif
    4 
    5 TARGET_STATIC  = libpslib.a
    6 include ../Makefile.Globals
    7 CFLAGS := $(CFLAGS_RELOC) -I. -I../sysUtils -I../collections -I.. -I../image -I..
    8 
    9 SRC_OBJS = psStats.o  \
    10            psFunctions.o \
    11            psMatrix.o \
    12            psMatrixVectorArithmetic.o \
    13            psVectorFFT.o \
    14            psMinimize.o \
    15            psRandom.o \
    16  
    17 OBJS = $(addprefix makedir/,$(SRC_OBJS))
    18  
    19 HEADERS = $(SRC_OBJS:.o=.h)
    20          
    21 all: $(TARGET_STATIC)
     1# Makefile.in generated by automake 1.9.1 from Makefile.am.
     2# src/dataManip/Makefile.  Generated from Makefile.in by configure.
     3
     4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
     5# 2003, 2004  Free Software Foundation, Inc.
     6# This Makefile.in is free software; the Free Software Foundation
     7# gives unlimited permission to copy and/or distribute it,
     8# with or without modifications, as long as this notice is preserved.
     9
     10# This program is distributed in the hope that it will be useful,
     11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
     12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
     13# PARTICULAR PURPOSE.
     14
     15
     16
     17
     18SOURCES = $(libpslibdataManip_la_SOURCES)
     19
     20srcdir = .
     21top_srcdir = ../..
     22
     23pkgdatadir = $(datadir)/pslib
     24pkglibdir = $(libdir)/pslib
     25pkgincludedir = $(includedir)/pslib
     26top_builddir = ../..
     27am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
     28INSTALL = /usr/bin/install -c
     29install_sh_DATA = $(install_sh) -c -m 644
     30install_sh_PROGRAM = $(install_sh) -c
     31install_sh_SCRIPT = $(install_sh) -c
     32INSTALL_HEADER = $(INSTALL_DATA)
     33transform = $(program_transform_name)
     34NORMAL_INSTALL = :
     35PRE_INSTALL = :
     36POST_INSTALL = :
     37NORMAL_UNINSTALL = :
     38PRE_UNINSTALL = :
     39POST_UNINSTALL = :
     40build_triplet = x86_64-unknown-linux-gnu
     41host_triplet = x86_64-unknown-linux-gnu
     42subdir = src/dataManip
     43DIST_COMMON = $(pslibinclude_HEADERS) $(srcdir)/Makefile.am \
     44        $(srcdir)/Makefile.in
     45ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
     46am__aclocal_m4_deps = $(top_srcdir)/configure.in
     47am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
     48        $(ACLOCAL_M4)
     49mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
     50CONFIG_HEADER = $(top_builddir)/src/config.h
     51CONFIG_CLEAN_FILES =
     52LTLIBRARIES = $(noinst_LTLIBRARIES)
     53libpslibdataManip_la_LIBADD =
     54am_libpslibdataManip_la_OBJECTS = psStats.lo psFunctions.lo \
     55        psMatrix.lo psMatrixVectorArithmetic.lo psVectorFFT.lo \
     56        psMinimize.lo psRandom.lo
     57libpslibdataManip_la_OBJECTS = $(am_libpslibdataManip_la_OBJECTS)
     58DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/src
     59depcomp = $(SHELL) $(top_srcdir)/depcomp
     60am__depfiles_maybe = depfiles
     61COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
     62        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
     63LTCOMPILE = $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) \
     64        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
     65        $(AM_CFLAGS) $(CFLAGS)
     66CCLD = $(CC)
     67LINK = $(LIBTOOL) --mode=link --tag=CC $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
     68        $(AM_LDFLAGS) $(LDFLAGS) -o $@
     69SOURCES = $(libpslibdataManip_la_SOURCES)
     70DIST_SOURCES = $(libpslibdataManip_la_SOURCES)
     71am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
     72am__vpath_adj = case $$p in \
     73    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
     74    *) f=$$p;; \
     75  esac;
     76am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
     77am__installdirs = "$(DESTDIR)$(pslibincludedir)"
     78pslibincludeHEADERS_INSTALL = $(INSTALL_HEADER)
     79HEADERS = $(pslibinclude_HEADERS)
     80ETAGS = etags
     81CTAGS = ctags
     82DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
     83ACLOCAL = ${SHELL} /home/desonia/panstarrs/psLib/missing --run aclocal-1.9
     84AMDEP_FALSE = #
     85AMDEP_TRUE =
     86AMTAR = ${SHELL} /home/desonia/panstarrs/psLib/missing --run tar
     87AR = ar
     88AUTOCONF = ${SHELL} /home/desonia/panstarrs/psLib/missing --run autoconf
     89AUTOHEADER = ${SHELL} /home/desonia/panstarrs/psLib/missing --run autoheader
     90AUTOMAKE = ${SHELL} /home/desonia/panstarrs/psLib/missing --run automake-1.9
     91AWK = gawk
     92CC = gcc
     93CCDEPMODE = depmode=gcc3
     94CFLAGS = -g -O2 -g2 -Wall -std=c99 -D_GNU_SOURCE   -I/usr/include -I/usr/include/libxml2
     95CONFIG_FILE = /home/desonia/panstarrs/psLib/config/psTime.config
     96CPP = gcc -E
     97CPPFLAGS =
     98CXX = g++
     99CXXCPP = g++ -E
     100CXXDEPMODE = depmode=gcc3
     101CXXFLAGS = -g -O2
     102CYGPATH_W = echo
     103DEFS = -DHAVE_CONFIG_H
     104DEPDIR = .deps
     105ECHO = echo
     106ECHO_C =
     107ECHO_N = -n
     108ECHO_T =
     109EGREP = grep -E
     110EXEEXT =
     111F77 = g77
     112FFLAGS = -fno-second-underscore -O -fno-f2c
     113GSL_CONFIG = /usr/bin/gsl-config
     114INSTALL_DATA = ${INSTALL} -m 644
     115INSTALL_PROGRAM = ${INSTALL}
     116INSTALL_SCRIPT = ${INSTALL}
     117INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
     118LDFLAGS =
     119LIBOBJS =
     120LIBS =
     121LIBTOOL = $(SHELL) $(top_builddir)/libtool
     122LN_S = ln -s
     123LTLIBOBJS =
     124MAKEINFO = ${SHELL} /home/desonia/panstarrs/psLib/missing --run makeinfo
     125OBJEXT = o
     126PACKAGE = pslib
     127PACKAGE_BUGREPORT =
     128PACKAGE_NAME =
     129PACKAGE_STRING =
     130PACKAGE_TARNAME =
     131PACKAGE_VERSION =
     132PATH_SEPARATOR = :
     133PERL = /usr/bin/perl
     134PSLIB_CFLAGS = -I${prefix}/include
     135PSLIB_LIBS = -L${exec_prefix}/lib -lpslib   -lcfitsio  -lfftw3f -L/usr/lib64 -lgsl -lgslcblas -lm -lxml2 -lz -lpthread -lm
     136RANLIB = ranlib
     137SET_MAKE =
     138SHELL = /bin/sh
     139STRIP = strip
     140SWIG = /usr/bin/swig
     141VERSION = 1.5
     142XML_CONFIG = /usr/bin/xml2-config
     143ac_ct_AR = ar
     144ac_ct_CC = gcc
     145ac_ct_CXX = g++
     146ac_ct_F77 = g77
     147ac_ct_RANLIB = ranlib
     148ac_ct_STRIP = strip
     149am__fastdepCC_FALSE = #
     150am__fastdepCC_TRUE =
     151am__fastdepCXX_FALSE = #
     152am__fastdepCXX_TRUE =
     153am__include = include
     154am__leading_dot = .
     155am__quote =
     156am__tar = ${AMTAR} chof - "$$tardir"
     157am__untar = ${AMTAR} xf -
     158bindir = ${exec_prefix}/bin
     159build = x86_64-unknown-linux-gnu
     160build_alias =
     161build_cpu = x86_64
     162build_os = linux-gnu
     163build_vendor = unknown
     164datadir = ${prefix}/share
     165exec_prefix = ${prefix}
     166host = x86_64-unknown-linux-gnu
     167host_alias =
     168host_cpu = x86_64
     169host_os = linux-gnu
     170host_vendor = unknown
     171includedir = ${prefix}/include
     172infodir = ${prefix}/info
     173install_sh = /home/desonia/panstarrs/psLib/install-sh
     174libdir = ${exec_prefix}/lib
     175libexecdir = ${exec_prefix}/libexec
     176localstatedir = ${prefix}/var
     177mandir = ${prefix}/man
     178mkdir_p = mkdir -p --
     179oldincludedir = /usr/include
     180prefix = /home/desonia/panstarrs/psLib
     181program_transform_name = s,x,x,
     182sbindir = ${exec_prefix}/sbin
     183sharedstatedir = ${prefix}/com
     184sysconfdir = ${prefix}/etc
     185target_alias =
     186
     187#Makefile for dataManip functions of psLib
     188#
     189INCLUDES = \
     190        -I$(top_srcdir)/src/astronomy \
     191        -I$(top_srcdir)/src/collections \
     192        -I$(top_srcdir)/src/fileUtils \
     193        -I$(top_srcdir)/src/image \
     194        -I$(top_srcdir)/src/sysUtils \
     195        $(all_includes)
     196
     197noinst_LTLIBRARIES = libpslibdataManip.la
     198libpslibdataManip_la_SOURCES = \
     199        psStats.c  \
     200        psFunctions.c \
     201        psMatrix.c \
     202        psMatrixVectorArithmetic.c \
     203        psVectorFFT.c \
     204        psMinimize.c \
     205        psRandom.c
     206
     207BUILT_SOURCES = psDataManipErrors.h
     208EXTRA_DIST = psDataManipErrors.dat psDataManipErrors.h
     209pslibincludedir = $(includedir)/pslib
     210pslibinclude_HEADERS = \
     211        psConstants.h \
     212        psStats.h  \
     213        psFunctions.h \
     214        psMatrix.h \
     215        psMatrixVectorArithmetic.h \
     216        psVectorFFT.h \
     217        psMinimize.h \
     218        psRandom.h
     219
     220all: $(BUILT_SOURCES)
     221        $(MAKE) $(AM_MAKEFLAGS) all-am
     222
     223.SUFFIXES:
     224.SUFFIXES: .c .lo .o .obj
     225$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
     226        @for dep in $?; do \
     227          case '$(am__configure_deps)' in \
     228            *$$dep*) \
     229              cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
     230                && exit 0; \
     231              exit 1;; \
     232          esac; \
     233        done; \
     234        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/dataManip/Makefile'; \
     235        cd $(top_srcdir) && \
     236          $(AUTOMAKE) --gnu  src/dataManip/Makefile
     237.PRECIOUS: Makefile
     238Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
     239        @case '$?' in \
     240          *config.status*) \
     241            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
     242          *) \
     243            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
     244            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
     245        esac;
     246
     247$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
     248        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
     249
     250$(top_srcdir)/configure:  $(am__configure_deps)
     251        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
     252$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
     253        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
     254
     255clean-noinstLTLIBRARIES:
     256        -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
     257        @list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
     258          dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
     259          test "$$dir" != "$$p" || dir=.; \
     260          echo "rm -f \"$${dir}/so_locations\""; \
     261          rm -f "$${dir}/so_locations"; \
     262        done
     263libpslibdataManip.la: $(libpslibdataManip_la_OBJECTS) $(libpslibdataManip_la_DEPENDENCIES)
     264        $(LINK)  $(libpslibdataManip_la_LDFLAGS) $(libpslibdataManip_la_OBJECTS) $(libpslibdataManip_la_LIBADD) $(LIBS)
     265
     266mostlyclean-compile:
     267        -rm -f *.$(OBJEXT)
     268
     269distclean-compile:
     270        -rm -f *.tab.c
     271
     272include ./$(DEPDIR)/psFunctions.Plo
     273include ./$(DEPDIR)/psMatrix.Plo
     274include ./$(DEPDIR)/psMatrixVectorArithmetic.Plo
     275include ./$(DEPDIR)/psMinimize.Plo
     276include ./$(DEPDIR)/psRandom.Plo
     277include ./$(DEPDIR)/psStats.Plo
     278include ./$(DEPDIR)/psVectorFFT.Plo
     279
     280.c.o:
     281        if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
     282        then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
     283#       source='$<' object='$@' libtool=no \
     284#       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
     285#       $(COMPILE) -c $<
     286
     287.c.obj:
     288        if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
     289        then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
     290#       source='$<' object='$@' libtool=no \
     291#       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
     292#       $(COMPILE) -c `$(CYGPATH_W) '$<'`
     293
     294.c.lo:
     295        if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
     296        then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
     297#       source='$<' object='$@' libtool=yes \
     298#       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
     299#       $(LTCOMPILE) -c -o $@ $<
     300
     301mostlyclean-libtool:
     302        -rm -f *.lo
     303
     304clean-libtool:
     305        -rm -rf .libs _libs
     306
     307distclean-libtool:
     308        -rm -f libtool
     309uninstall-info-am:
     310install-pslibincludeHEADERS: $(pslibinclude_HEADERS)
     311        @$(NORMAL_INSTALL)
     312        test -z "$(pslibincludedir)" || $(mkdir_p) "$(DESTDIR)$(pslibincludedir)"
     313        @list='$(pslibinclude_HEADERS)'; for p in $$list; do \
     314          if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
     315          f=$(am__strip_dir) \
     316          echo " $(pslibincludeHEADERS_INSTALL) '$$d$$p' '$(DESTDIR)$(pslibincludedir)/$$f'"; \
     317          $(pslibincludeHEADERS_INSTALL) "$$d$$p" "$(DESTDIR)$(pslibincludedir)/$$f"; \
     318        done
     319
     320uninstall-pslibincludeHEADERS:
     321        @$(NORMAL_UNINSTALL)
     322        @list='$(pslibinclude_HEADERS)'; for p in $$list; do \
     323          f=$(am__strip_dir) \
     324          echo " rm -f '$(DESTDIR)$(pslibincludedir)/$$f'"; \
     325          rm -f "$(DESTDIR)$(pslibincludedir)/$$f"; \
     326        done
     327
     328ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
     329        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
     330        unique=`for i in $$list; do \
     331            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
     332          done | \
     333          $(AWK) '    { files[$$0] = 1; } \
     334               END { for (i in files) print i; }'`; \
     335        mkid -fID $$unique
     336tags: TAGS
     337
     338TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
     339                $(TAGS_FILES) $(LISP)
     340        tags=; \
     341        here=`pwd`; \
     342        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
     343        unique=`for i in $$list; do \
     344            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
     345          done | \
     346          $(AWK) '    { files[$$0] = 1; } \
     347               END { for (i in files) print i; }'`; \
     348        if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
     349          test -n "$$unique" || unique=$$empty_fix; \
     350          $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
     351            $$tags $$unique; \
     352        fi
     353ctags: CTAGS
     354CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
     355                $(TAGS_FILES) $(LISP)
     356        tags=; \
     357        here=`pwd`; \
     358        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
     359        unique=`for i in $$list; do \
     360            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
     361          done | \
     362          $(AWK) '    { files[$$0] = 1; } \
     363               END { for (i in files) print i; }'`; \
     364        test -z "$(CTAGS_ARGS)$$tags$$unique" \
     365          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
     366             $$tags $$unique
     367
     368GTAGS:
     369        here=`$(am__cd) $(top_builddir) && pwd` \
     370          && cd $(top_srcdir) \
     371          && gtags -i $(GTAGS_ARGS) $$here
     372
     373distclean-tags:
     374        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
     375
     376distdir: $(DISTFILES)
     377        @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
     378        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
     379        list='$(DISTFILES)'; for file in $$list; do \
     380          case $$file in \
     381            $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
     382            $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
     383          esac; \
     384          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
     385          dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
     386          if test "$$dir" != "$$file" && test "$$dir" != "."; then \
     387            dir="/$$dir"; \
     388            $(mkdir_p) "$(distdir)$$dir"; \
     389          else \
     390            dir=''; \
     391          fi; \
     392          if test -d $$d/$$file; then \
     393            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
     394              cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
     395            fi; \
     396            cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
     397          else \
     398            test -f $(distdir)/$$file \
     399            || cp -p $$d/$$file $(distdir)/$$file \
     400            || exit 1; \
     401          fi; \
     402        done
     403check-am: all-am
     404check: $(BUILT_SOURCES)
     405        $(MAKE) $(AM_MAKEFLAGS) check-am
     406all-am: Makefile $(LTLIBRARIES) $(HEADERS)
     407installdirs:
     408        for dir in "$(DESTDIR)$(pslibincludedir)"; do \
     409          test -z "$$dir" || $(mkdir_p) "$$dir"; \
     410        done
     411install: $(BUILT_SOURCES)
     412        $(MAKE) $(AM_MAKEFLAGS) install-am
     413install-exec: install-exec-am
     414install-data: install-data-am
     415uninstall: uninstall-am
     416
     417install-am: all-am
     418        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
     419
     420installcheck: installcheck-am
     421install-strip:
     422        $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
     423          install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
     424          `test -z '$(STRIP)' || \
     425            echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
     426mostlyclean-generic:
     427
     428clean-generic:
     429
     430distclean-generic:
     431        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
     432
     433maintainer-clean-generic:
     434        @echo "This command is intended for maintainers to use"
     435        @echo "it deletes files that may require special tools to rebuild."
     436        -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
     437clean: clean-am
     438
     439clean-am: clean-generic clean-libtool clean-noinstLTLIBRARIES \
     440        mostlyclean-am
     441
     442distclean: distclean-am
     443        -rm -rf ./$(DEPDIR)
     444        -rm -f Makefile
     445distclean-am: clean-am distclean-compile distclean-generic \
     446        distclean-libtool distclean-tags
     447
     448dvi: dvi-am
     449
     450dvi-am:
     451
     452html: html-am
     453
     454info: info-am
     455
     456info-am:
     457
     458install-data-am: install-pslibincludeHEADERS
     459
     460install-exec-am:
     461
     462install-info: install-info-am
     463
     464install-man:
     465
     466installcheck-am:
     467
     468maintainer-clean: maintainer-clean-am
     469        -rm -rf ./$(DEPDIR)
     470        -rm -f Makefile
     471maintainer-clean-am: distclean-am maintainer-clean-generic
     472
     473mostlyclean: mostlyclean-am
     474
     475mostlyclean-am: mostlyclean-compile mostlyclean-generic \
     476        mostlyclean-libtool
     477
     478pdf: pdf-am
     479
     480pdf-am:
     481
     482ps: ps-am
     483
     484ps-am:
     485
     486uninstall-am: uninstall-info-am uninstall-pslibincludeHEADERS
     487
     488.PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
     489        clean-libtool clean-noinstLTLIBRARIES ctags distclean \
     490        distclean-compile distclean-generic distclean-libtool \
     491        distclean-tags distdir dvi dvi-am html html-am info info-am \
     492        install install-am install-data install-data-am install-exec \
     493        install-exec-am install-info install-info-am install-man \
     494        install-pslibincludeHEADERS install-strip installcheck \
     495        installcheck-am installdirs maintainer-clean \
     496        maintainer-clean-generic mostlyclean mostlyclean-compile \
     497        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
     498        tags uninstall uninstall-am uninstall-info-am \
     499        uninstall-pslibincludeHEADERS
     500
    22501
    23502psDataManipErrors.h: psDataManipErrors.dat
    24         perl ../parseErrorCodes.pl --data=$? $@
    25 
    26 # force the creation of a psImage.i for psImage.o (to expand macros).
    27 psMatrixVectorArithmetic.o: psMatrixVectorArithmetic.i
    28 
    29 # Rule to make static library
    30 
    31 libpslib.a:     $(OBJS)
    32 # The ar option -r is to add/replace object and -s is to create
    33 # a symbol table in the archive
    34         $(AR) rcs ../$@ $(OBJS)
    35 
    36 # Define PHONY target "install" which will install necessary files
    37 # XXX: Do the psConstants.h install.
    38 install: $(TARGET_STATIC)
    39         install $(HEADERS) $(includedir)
    40         install psConstants.h $(includedir)
    41 
    42 
    43 # Define PHONY target "distclean" which will cleanup the distribution
    44 distclean:      clean
    45         $(RM) ../$(TARGET_STATIC)
    46 
    47 # Define PHONY target "clean" which will cleanup the development area
    48 clean:
    49         @echo "    Deleting intermediate files for 'sysUtils'"
    50         $(RM) $(OBJS) *.lint $(SRC_OBJS:.o=.i)
    51 
    52 cleandep:
    53         $(RM) $(OBJS:.o=.d)
    54 
    55 %.lint: %.c
    56         splint +posixlib -exportlocal -realcompare $(INCLUDE_GLOBAL) $? > $@; cat $@
    57 
    58 %.i: %.c
    59         $(CC) -E $(CFLAGS) -o $@ $<
    60 
    61 makedir/%.o: %.c
    62         $(CC) -c $(CFLAGS) -o $@ $<
    63 
    64 makedir/%.d: %.c
    65         $(CC) -MM $(CFLAGS) $< > $@.tmp
    66         sed 's|\($*\)\.o[ :]*|\1.o $@ : |g' $@.tmp > $@
    67         $(RM) -f $@.tmp
    68 
    69 include $(OBJS:.o=.d)
     503        perl $(top_srcdir)/src/parseErrorCodes.pl --data=$? $@
     504# Tell versions [3.59,3.63) of GNU make to not export all variables.
     505# Otherwise a system limit (for SysV at least) may be exceeded.
     506.NOEXPORT:
Note: See TracChangeset for help on using the changeset viewer.